ALTER OPERATOR(7)

NAME
ALTER_OPERATOR - change the definition of an operator

SYNOPSIS

ALTER OPERATOR name ( { left_type | NONE } , { right_type | NONE } )
    OWNER TO { new_owner | CURRENT_USER | SESSION_USER }
ALTER OPERATOR name ( { left_type | NONE } , { right_type | NONE } )
    SET SCHEMA new_schema

DESCRIPTION

ALTER OPERATOR changes the definition of an operator. The only currently available functionality is to change the owner of the operator.

You must own the operator to use ALTER OPERATOR. To alter the owner, you must also be a direct or indirect member of the new owning role, and that role must have CREATE privilege on the operator's schema. (These restrictions enforce that altering the owner doesn't do anything you couldn't do by dropping and recreating the operator. However, a superuser can alter ownership of any operator anyway.)

PARAMETERS

name
    The name (optionally schema-qualified) of an existing operator.

left_type
    The data type of the operator's left operand; write NONE if the operator has no left operand.

right_type
    The data type of the operator's right operand; write NONE if the operator has no right operand.

new_owner
    The new owner of the operator.

new_schema
    The new schema for the operator.

EXAMPLES

Change the owner of a custom operator a @@ b for type text:

    ALTER OPERATOR @@ (text, text) OWNER TO joe;

COMPATIBILITY

There is no ALTER OPERATOR statement in the SQL standard.

SEE ALSO
CREATE OPERATOR (CREATE_OPERATOR(7)), DROP OPERATOR (DROP_OPERATOR(7))